Subject: [netext] WG meeting minutes from IETF78

From: <[email-masked]>
Date: Wed, 1 Sep 2010 22:45:02 +0200

IETF WG: Network-Based Mobility Extensions (netext)

Minutes from the WG meeting held at IETF78, Maastricht, Netherlands
WEDNESDAY, July 28, 2010 (1300-1530 hours)

Chairs: Basavaraj Patil, Rajeev Koodli

Minutes are courtesy of:
1. Ashutosh Dutta
2. Juan Carlos Zuniga  (juancarlos dot zuniga at interdigital dot com)

--------------------------------------------------------

1. Logistics (Bluesheets, minutes takers, jabber, agenda bashing) 5 mins
2. WG status update       Chairs                5 Mins

Basavaraj went over the agenda. There were no objections or changes
requested to the agenda.

-       WGLC on LMA-redirect; WGLC expiring  need for more input
-       I-D: draft-ietf-netext-redirect-03  problem statement Issue
        the last call pretty soon
-       Bulk re-registration (draft-ietf-bulk-re-registration): need
        more reviews and input
-       I-D: draft-ietf-netxt-radius-pmip6 - new WG ID taken from
        netlmm WG. Folks were invited to provide input on this draft
-       Logical interface draft, flow mobility, localized routing
        support drafts are available to be adopted as working group
       document and need discussion

Few new proposals are available that would be discussed as well at the
end.

Comment: From a logistics point, focus on WG related items only. Time
permitting we will do other stuff

3. Runtime LMA selection I-D update Jouni Korhonen 5 mins
   I-D: draft-ietf-netext-redirect-03

Status; Review from Qin Wu, took care of the comments from last
IETF. Modified two flags. Continued the clarifications
WGLC started 7th July and ends 27th July
WGLC completed
If we can take any more review
Jouni: There are only a couple of comments that need to be addressed
and then its done 
Raj: Encourage people to review it before the IESG submission
Jonne Soininen : Found some editorial comments but nothing serious
technical comments 

4. Bulk re-reg I-D update and next steps    Fuad Junior   5 Mins
   I-D: draft-ietf-netext-bulk-re-registration-01

Send for WGLC after getting feedbackXiansong Cui  MNID must be
included in the PBU and PBACK, Does it need to update RFC 5213.MNID is
not added in the bulk registration
Sri: RFC 5213 should not be affected
This feature is not part of RFC5213 and it would be treated as a new option.

5. Logical Interface Support for multi-mode IP Hosts
   Telemaco Melia    20 Mins
   I-D: draft-melia-netext-logical-interface-support-01.txt

Telemaco presented the draft. This ID is based on extension/merger of
last two drafts on this topic; goal is to advance it as WG
draft. There were questions about logical interface
properties. Mapping between interface and sub-interface were
discussed. It was made clear that the dynamic mapping is not visible
to the application. It described a few properties. This draft provides
support for both inter-technology handover and flow-mobility support.

Marco: Does it use the MAC address. It resolves according to
Hui: Has the flow mobility and multi-interface been covered. How it is
different from standard RFC 5213? Is there any change being made to
RFC? 
Sri: 5213 does support multi-interface mobility.
Configuration is one interface. From application perspective there is
one virtual interface that is considered.
Carlos: Wifi and 3G, there is only one interface for the application
Hui: Recommend to look into what is being discussed in MIF mailing list
Rajeev: primary applicability is only for flow mobility and
multi-interface and pass on those to mif working group
Julien: Do not need to remove the details but explain. This is not
standardizing the virtual interface. There is a standardized way of
defining mif. 
Raj: It is still in discussion stage
HUI- Two overlapping documents?
Rajeev: Anything beyond that we will move to other WG

Julien: We need more details, why there are two different models
P2  Logical interface has the path awareness
Rajeev: What needs to be there to start with 00 version
Julien: Why, how Neighbor Discovery works
This virtual interface is specific to PMIPv6. Logical interface is
Gedan: Agree with logical interface definition
Rajeev: How something gets triggered is a policy manager¹s decision
Gedan: When to trigger the virtual interface
Rajeev:
Carlos: There are work in MIF and then here
Parvez: Does it have any relevance, for example CMIP does it use?
External application is near zero. Would you like to put it in the
device driver? 
Rajeev: Whole point is not to affect the behavior on the host
Julien¹s comments  It is pre-mature to include this document as the
working group document.
Consensus call on adopting this I-D as WG document.
 
Chairs: Take this version as the baseline working group document
Whether it is heading in the right direction 17 (Yes) vs. 3 (No)
Whether this version can be adopted as a base-line  17 (Yes)  vs. 3 (No)
The I-D will be published as WG document before the next IETF
 
6. Proxy Mobile IPv6 Extensions to Support Flow Mobility
   Carlos Bernardos 20 Mins
   I-D: draft-bernardos-netext-pmipv6-flowmob-00
 
 Avi: how do you move it back?
Carlos: you explicit signal or wait to expiration
Gaetan: How do you guarantee the MN will reply fine?
Tele: Logical interface
Gaetan: so in both cases you are sharing the prefixes in all
interfaces 
Rajeev: today 5213 assigns unique prefixes per interface, so
we need changes 
 
Yokota: What will the MN do when the FMI/FMA is happening?
Rajeev: MN accepts packets at all times on both interfaces

Tran Minh Trung: In your slide you are using MAC address
Carlos: it could be same or different
Raj: clarification on next revision
TMT: after IP Flow mobility a prefix will be shared between
different interfaces
Carlos: ???
Julien: signaling only needed when new interface is brought
up and you want to support ip flow mobility. Why two
scenarios? 
Rajeev: if people provide details and define protocols is a good
         thing. Define two scenarios is a good thing. If you want to
         have this same prefix on two interfaces you need extensions

Julien: you don¹t describe what is a session and why it is needed. How
do I charge users when they are moved?
Rajeev: we have to start somewhere and this is responding and
providing good baseline
Rajeev: I charge base on the /64, not on the MAG
Julien: I still want to know why I need it
Alex: There will be questions on the mailing list
Phil (BT): Which milestone is this responding to?
Raj: Proxy Mobile IPv6 Extensions to Support Flow Mobility
Rajeev: Carlos, please incorporate comments and produce new version
Chairs took a vote to find out whether this base document can be used
as a WG document. 
How many people think it can be accepted as working group baseline
document  9 (Yes) 
How many people think it is not ready for working group document -6 (no)
 
Raj asked to take it to mailing list discussion
 
Carlos: Simple approach to provide flow mobility. Triggers are out of scope

7. Localized routing solution I-D    Suresh K.     20 Mins
   I-D: draft-krishnan-netext-pmip-lr-02
 
Multiple individual LR drafts are merged to produce a single
draft. There are some open issues. The draft got some feedback from
Marco, Paulo and Qin Wu in the mailing list. There is no inter-LMA
communication between LMAs, so that specific scenario was left
out. Lifetime of binding MAG address has been added.
 
14 agreed to adopt this document as WG document, there is no objection
 
Following are the proposals for WG consideration: Each speaker got
only a few minutes to talk because of lack of time. They were advised
to limit the presentation time.
 
1. Service Flow Identifier in Proxy Mobile IPv6 Hui Min   5 Mins
   I-D: draft-hui-netext-service-flow-identifier-03
 
Flow ID to support flow mobility. We will discuss this in the mailing
list. Cannot differentiate flows on the same tunnel. Discuss in the
mailing list 
 
2. Flow tracking procedure for PMIPv6    Tran Trung    5 Mins
   I-D: draft-trung-netext-flow-tracking-01
 
Related to flow mobility. Why do we need a link layer?
 
3. Hybrid HNP for multi-homing in PMIPv6   Yong-Geun Hong 5 Mins
   I-D: draft-hong-netext-hybrid-hnp-02
 
Triggers are out of scope.
 
4. Scenarios of the usage of multiple HNPs on a logical interface Yong
            Geun Hong       5 Mins
   I-D: draft-hong-netext-scenario-logical-interface-01
Y-G. Hong
 
Consider other possible scenarios, LMA slide, overload slide
 
5. Address-option based multi-interface supporting in PMIPv6
   Zhiwei Yan                           5 Mins
   I-D: draft-zhang-netext-ao-mulif-00.txt
 
The draft was briefly discussed and the authors were advised to discuss it
in the mailing list.
 
6. IKEv2/IPSEC chaining with PMIPv6, on the MAG    Sri Gundavelli 5 Mins

The problem statement presented seems to be relevant in the context of
PMIP6 deployments.

Draft-zhang-netext-ao-mulif-00.txt
Primary HoA

IFP  Interface Priority

In summary 3 WG documents are moving forward and two WG last
calls. Chairs requested the audience to give feedback in the mailing
list. Due to lack of time, the additional drafts could not be
presented properly.